@font-face {
    font-family: "pxplus";
    src: url("/PxPlus_VGA_SquarePx.ttf");
}
html {
    height: 100%;
}
body {
    background-color: black;
    color: white;
    font-family: "pxplus";
    font-size: 130%;
    height: 100%;
    display: flex;
    flex-direction: column;
    margin: 0;
}
nav {
    width: 100%;
    background-color: #AAA;
    flex-grow: 0;
}
menu {
    margin: 0;
    padding: 0;
}
h1 {
    font-size: inherit;
    text-align: center;
    margin: 0;
    background-color: #00F;
    display: flex;
}
h1::before {
    flex-grow: 1;
    border: solid transparent;
    border-width: 0 1ch;
    border-image: url("snstl.svg") 0% 33% fill;
    margin-right: 1ch;
    content: " ";
}
h1::after {
    flex-grow: 1;
    border: solid transparent;
    border-width: 0 1ch;
    border-image: url("snstr.svg") 0% 33% fill;
    margin-left: 1ch;
    content: " ";
}
h1 span {
    margin-left: 1ch;
}
menu button {
    display: inline;
    font-family: inherit;
    font-size: inherit;
    margin: 0;
    padding: 0;
    border: 0;
    background-color: transparent;
    color: inherit;
}
nav li {
    display: inline-block;
    margin-left: 2ch;
    color: black;
}
nav a {
    color: inherit;
}
nav a:not([href]) {
    color: #555;
    background-color: #AAA;
}
nav li:hover {
    color: lightgray;
    background-color: black;
}
main {
    display: flex;
    flex-direction: row;
    overflow: hidden;
    flex-grow: 1;
}
main > ul, main > pre {
    margin-top: 0;
    padding-top: 16px;
}
pre {
    flex-grow: 1;
    max-height: 100%;
    overflow-y: scroll;
}
pre code.hljs {
    font-family: "pxplus";
    white-space: pre-wrap;
    padding: 0 !important;
}
a {
    color: #55F;
    text-decoration: none;
    display: block;
}
main > ul {
    color: #FF5;
    max-width: 80ch;
    --tree: "";
    flex-grow: 0;
    flex-shrink: 0;
    padding-right: 2ch;
    border-right: solid #555 1ch;
    margin-right: 2ch;
    padding-left: 2ch;
}
main > ul.hidden {
    max-width: 0;
    overflow: hidden;
    padding: 0;
}
li {
    color: white;
}
li::marker {
    content: var( --tree ) "─ ";
}
ul > * {
    margin-left: 2ch;
}
ul > ul {
    padding-left: 0;
    display: list-item;
    --dir-marker: "□ ";
}
ul > ul.expanded {
    --dir-marker: "+ ";
}
ul > ul:not( .expanded ) > * {
    display: none;
}
ul > ul::marker {
    content: var( --tree ) var( --dir-marker );
}
ul > ul > * {
    --tree: "│ ";
}
ul > ul > *:last-child {
    --tree: "└ ";
}
